Bug 847526 - [abrt] vino-3.4.2-1.fc17: __GI___open_catalog: Process /usr/libexec/vino-server was killed by signal 6 (SIGABRT)
[abrt] vino-3.4.2-1.fc17: __GI___open_catalog: Process /usr/libexec/vino-serv...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
abrt_hash:dc63d92d758c4316570dd5f167c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 12:30 EDT by Corey T.
Modified: 2014-06-18 05:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:42:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (6.83 KB, text/plain)
2012-08-12 12:30 EDT, Corey T.
no flags Details
File: maps (32.35 KB, text/plain)
2012-08-12 12:30 EDT, Corey T.
no flags Details
File: backtrace (43.75 KB, text/plain)
2012-08-12 12:30 EDT, Corey T.
no flags Details

  None (edit)
Description Corey T. 2012-08-12 12:30:03 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
comment:        Crash of vino-server when attempting to connect from a Windows host using RealVNC Viewer.
crash_function: __GI___open_catalog
executable:     /usr/libexec/vino-server
kernel:         3.5.1-1.fc17.x86_64
pid:            4451
remote_result:  NOTFOUND
time:           Sun 12 Aug 2012 12:12:57 PM EDT
uid:            1000

backtrace:      Text file, 44799 bytes
dso_list:       Text file, 6989 bytes
maps:           Text file, 33126 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ctaylor/7

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x35925 raise libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x370d8 abort libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x2e6a2 __assert_fail_base libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x2e752 __assert_fail libc.so.6 -
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27 0x42ac9 - libX11.so.6 -
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27 0x42ae1 - libX11.so.6 -
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27 0x4304d _XEventsQueued libX11.so.6 -
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27 0x3468d XPending libX11.so.6 -
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc 0x48ffb - libgdk-3.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x4719f g_main_context_prepare libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x4788b - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:785daa1816e99b7da8df42206e96c9d9f5eeeb9d 0xb46b - [exe] -

environ:
:XDG_VTNR=2
:SSH_AGENT_PID=3708
:XDG_SESSION_ID=7
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GLADE_PIXMAP_PATH=:
:TERM=xterm
:SHELL=/bin/bash
:XDG_MENU_PREFIX=xfce-
:DESKTOP_STARTUP_ID=
:HISTSIZE=1000
:WINDOWID=56623108
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.htm=00;33:*.html=00;33:*.shtml=00;33:*.wpd=00;33:
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-WJisISSZ3573/agent.3573
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3729,unix/unix:/tmp/.ICE-unix/3729
:XDG_CONFIG_DIRS=/etc/xdg
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:DESKTOP_SESSION=xfce
:QT_IM_MODULE=xim
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=3571
:LANG=en_US.UTF-8
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:SHLVL=3
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-8kpC5VQOmg,guid=2ecea5f5f99dac46d4563b3c000006f7
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:DISPLAY=:0.0
:GLADE_CATALOG_PATH=:
:COLORTERM=Terminal
:_=/usr/libexec/vino-server

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 61191                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       61191                61191                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/1
:pos:	0
:flags:	0100002
:1:/dev/pts/1
:pos:	0
:flags:	0100002
:2:/dev/pts/1
:pos:	0
:flags:	0100002
:3:socket:[243998]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[243999]
:pos:	0
:flags:	02000002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[245098]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[244017]
:pos:	0
:flags:	02004002
:11:/dev/urandom
:pos:	0
:flags:	02100000
:12:socket:[244018]
:pos:	0
:flags:	02000002
:13:socket:[245105]
:pos:	0
:flags:	02
:14:socket:[245106]
:pos:	0
:flags:	02
:15:socket:[245104]
:pos:	0
:flags:	02004002
:16:socket:[245107]
:pos:	0
:flags:	02004002
:17:socket:[242168]
:pos:	0
:flags:	04002
:18:socket:[244287]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug 12 12:01:01 newbeast gnome-session[2861]: WARNING: Could not parse desktop file /home/ctaylor/.config/autostart/vino-server.desktop: Key file does not have key 'Name'
:Aug 12 12:01:01 newbeast gnome-session[2861]: WARNING: could not read /home/ctaylor/.config/autostart/vino-server.desktop
:Aug 12 12:11:21 newbeast abrt[4343]: Saved core dump of pid 3752 (/usr/libexec/vino-server) to /var/spool/abrt/ccpp-2012-08-12-12:11:20-3752 (53039104 bytes)
:Aug 12 12:12:58 newbeast abrt[4456]: Saved core dump of pid 4451 (/usr/libexec/vino-server) to /var/spool/abrt/ccpp-2012-08-12-12:12:57-4451 (47271936 bytes)

xsession_errors:
:(vino-server:3752): EggSMClient-CRITICAL **: egg_sm_client_set_mode: assertion `global_client == NULL || global_client_mode == EGG_SM_CLIENT_MODE_DISABLED' failed
:** (vino-server:3752): WARNING **: server/vino-server.c:1200: invalid property id 18 for "notify-on-connect" of type `GParamBoolean' in `VinoServer'
:vino-server: xcb_io.c:273: poll_for_event: Assertion `!xcb_xlib_threads_sequence_lost' failed.
Comment 1 Corey T. 2012-08-12 12:30:06 EDT
Created attachment 603805 [details]
File: dso_list
Comment 2 Corey T. 2012-08-12 12:30:08 EDT
Created attachment 603806 [details]
File: maps
Comment 3 Corey T. 2012-08-12 12:30:10 EDT
Created attachment 603807 [details]
File: backtrace
Comment 4 Fedora End Of Life 2013-07-03 23:18:10 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 06:42:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.